gtkmm: Gtk::NumericSorterBase Class Reference

gtkmm 4.6.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::NumericSorterBase Class Reference

Base class for Gtk::NumericSorter. More...

`#include <gtkmm/numericsorter.h>`

Inheritance diagram for Gtk::NumericSorterBase:
[legend]

## Public Member Functions
| NumericSorterBase (NumericSorterBase&& src) noexcept
NumericSorterBase& | operator= (NumericSorterBase&& src) noexcept
| ~NumericSorterBase () noexcept override
GtkNumericSorter* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkNumericSorter* | gobj () const
| Provides access to the underlying C GObject. More...
GtkNumericSorter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
SortType | get_sort_order () const
| Gets whether this sorter will sort smaller numbers first. More...
void | set_sort_order (SortType sort_order)
| Sets whether to sort smaller numbers before larger ones. More...
Glib::PropertyProxy< SortType > | property_sort_order ()
| Whether the sorter will sort smaller numbers first. More...
Glib::PropertyProxy_ReadOnly< SortType > | property_sort_order () const
| Whether the sorter will sort smaller numbers first. More...
Public Member Functions inherited from Gtk::Sorter
| Sorter (Sorter&& src) noexcept
Sorter& | operator= (Sorter&& src) noexcept
| ~Sorter () noexcept override
GtkSorter* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSorter* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSorter* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Ordering | compare (gpointer item1, gpointer item2)
| Compares two given items according to the sort order implemented by the sorter. More...
Order | get_order () const
| Gets the order that self conforms to. More...
void | changed (Change change)
| Notifies all users of the sorter that it has changed. More...
Glib::SignalProxy< void(Change)> | signal_changed ()
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::Sorter
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| NumericSorterBase (const Glib::RefPtr< ExpressionBase >& expression)
Protected Member Functions inherited from Gtk::Sorter
| Sorter ()
virtual Ordering | compare_vfunc (gpointer item1, gpointer item2)
virtual Order | get_order_vfunc ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::NumericSorterBase > | wrap (GtkNumericSorter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Sorter
Glib::RefPtr< Gtk::Sorter > | wrap (GtkSorter* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gtk::Sorter
enum class | Order { Order::PARTIAL , Order::NONE , Order::TOTAL }
| Describes the type of order that a `Gtk::Sorter` may produce. More...
enum class | Change { Change::DIFFERENT , Change::INVERTED , Change::LESS_STRICT , Change::MORE_STRICT }
| Describes changes in a sorter in more detail and allows users to optimize resorting. More...
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)

## Detailed Description

Base class for Gtk::NumericSorter.

See also
  Gtk::NumericSorter

Since gtkmm 3.98:

## Constructor & Destructor Documentation

## ◆ NumericSorterBase() [1/2]

Gtk::NumericSorterBase::NumericSorterBase | ( | NumericSorterBase&& | src | ) |
| noexcept

## ◆ ~NumericSorterBase()

Gtk::NumericSorterBase::~NumericSorterBase | ( |  | ) |
| overridenoexcept

## ◆ NumericSorterBase() [2/2]

Gtk::NumericSorterBase::NumericSorterBase | ( | const Glib::RefPtr< ExpressionBase >& | expression | ) |
| explicitprotected

## Member Function Documentation

## ◆ get_sort_order()

SortType Gtk::NumericSorterBase::get_sort_order | ( |  | ) | const

Gets whether this sorter will sort smaller numbers first.

Returns
  The order of the numbers.

## ◆ get_type()

static GType Gtk::NumericSorterBase::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkNumericSorter * Gtk::NumericSorterBase::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkNumericSorter * Gtk::NumericSorterBase::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkNumericSorter * Gtk::NumericSorterBase::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

NumericSorterBase& Gtk::NumericSorterBase::operator= | ( | NumericSorterBase&& | src | ) |
| noexcept

## ◆ property_sort_order() [1/2]

Glib::PropertyProxy< SortType > Gtk::NumericSorterBase::property_sort_order | ( |  | ) |

Whether the sorter will sort smaller numbers first.

Default value: Gtk::SortType::ASCENDING

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_sort_order() [2/2]

Glib::PropertyProxy_ReadOnly< SortType > Gtk::NumericSorterBase::property_sort_order | ( |  | ) | const

Whether the sorter will sort smaller numbers first.

Default value: Gtk::SortType::ASCENDING

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_sort_order()

void Gtk::NumericSorterBase::set_sort_order | ( | SortType | sort_order | ) |

Sets whether to sort smaller numbers before larger ones.

Parameters

  sort_order | Whether to sort smaller numbers first.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::NumericSorterBase > wrap | ( | GtkNumericSorter * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.